echo off
cls
echo.
echo Flashage d'une Home Confort avec firmware Foscam
echo.
echo Ce qu'il faut faire avant pour avoir les infos de la camera :
echo.
echo 1 - Aller sur le site Home Confort avec la camera (lancer HomeConfort en fait)
echo 2 - Passer en mode fenetre
echo 3 - Faire un clic droit sur l'image et "copier l'adresse de l'image"
echo 4 - Coller cette adresse dans le bloc notes pour mieux la voir. 
echo On y trouve quelque chose comme ceci : 
echo http://adresseip:port/snapshot.cgi?user=admin^&pwd=ABCD32F1
echo.
echo Noter adresseip, port et ce qui est apres pwd^=
echo Puis, plus besoin de rester connecte sur leur site.
echo.
echo Il faut avoir telecharge les fichiers du firmware sur le site Foscam :
echo http://foscam.com/down3.aspx
echo.
echo Il faut avoir le logiciel CURL : 
echo http://curl.haxx.se/dlwiz/?type=bin
echo.
echo Et tous les fichiers doivent se trouver dans CE dossier en cours.
echo.
pause
cls
echo Est-ce une camera Fixe ou Motorisee
set /p fm= F ou M :
echo Quelle est l'adresse IP ?
set /p ip= (exemple : 192.168.1.74) :
echo Quel est le port ?
set /p port= (exemple : 13900) :
echo Quel est le mot de passe ?
set /p mdp= (exemple : CC67B3F9) :
echo.
echo Je vais lister les fichiers BIN du dossier
echo pour votre camera (%fm%) allant par paire
echo Moi pour une EUROTAS j'ai pris M_18W.bin et M_W18W.bin
pause
cls
dir %fm%*.bin /b
echo.
echo Quel est le nom du fichier Firmware (sans .bin) ?
set /p fw= (exemple : %fm%1_lr_cmos_11_22_2_51) :
echo Quel est le nom du fichier Web UI (sans .bin) ?
set /p ui= (exemple : %fm%_2.4.10.5)  ?
echo.
IF NOT EXIST %fw%.bin GOTO Erreurfw
IF NOT EXIST %ui%.bin GOTO Erreurui
echo curl -u admin:%mdp% -F file=@%fw%.bin "http://%ip%:%port%/upgrade_firmware.cgi"
curl -u admin:%mdp% -F file=@%fw%.bin "http://%ip%:%port%/upgrade_firmware.cgi"
echo.
echo Je lance le reboot
pause
echo curl -u admin:%mdp% "http://%ip%:%port%/reboot.cgi"
curl -u admin:%mdp% "http://%ip%:%port%/reboot.cgi"
echo.
echo Attendre que la camera soit redemarree...
pause
echo curl -u admin:%mdp% -F file=@%ui%.bin "http://%ip%:%port%/upgrade_htmls.cgi"  
curl -u admin:%mdp% -F file=@%ui%.bin "http://%ip%:%port%/upgrade_htmls.cgi"  
echo.
echo Flash fini.
goto fin
:Erreurfw
echo.
echo Fichier %fw%.bin absent
IF NOT EXIST %ui%.bin GOTO Erreurui
goto fin
:Erreurui
echo.
echo Fichier %ui%.bin absent
:fin
echo.
pause
